// Swing-Komponenten sind im Package javax.swing
import javax.swing.JFrame;
import javax.swing.JLabel;

public class Swing2{

	public static void main(String[] args){
		// JFrame (unsichtbar) erzeugen mit einem Titel
		JFrame jfMain = new JFrame("Hier steht der Titel");
		
		// Aktion setzen, die ausgefuehrt wird, wenn auf das
		// 'x' in der Titelleiste geklickt wird.
		// Hier wird das Fenster nicht nur verborgen (hide)
		// sondern komplett entfernt (dispose)
		jfMain.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);

		// JLabel erzeugen mit vorgegebenem Text 
		// (Standard-Ausrichtung links)
		// JLabel label = new JLabel("Hallo Welt");
		
		// JLabel erzeugen mit vorgegebenem Text 
		// Der 2. Parameter legt die horiz. Ausrichtung fest
		JLabel jlText = new JLabel("Hallo Welt", JLabel.CENTER);

		// Label als einzigen Inhalt setzen
		jfMain.setContentPane(jlText);

		// Optimale Groesse des Fensters automatisch bestimmen
		// (Anhand der bevorzugten Dimensionen der Inhaltskomponenten)
		jfMain.pack();

		// JFrame anzeigen (sichtbar machen)	
		jfMain.setVisible(true);
		
		// Das Programm laeuft hier direkt weiter und beendet
		// sich nicht, da das erzeugt Fenster noch existiert!
		System.out.println("JFrame mit JLabel als ContentPane wurde erzeugt");
	}
}
