// Swing-Komponenten sind im Package javax.swing
import javax.swing.JFrame;
import javax.swing.JButton;

public class Swing3{

	public static void main(String[] args){
		// JFrame (unsichtbar) erzeugen mit einem Titel
		JFrame jfMain = new JFrame("Hier steht der Titel");
		
		// Aktion setzen, die ausgefuehrt wird, wenn auf das
		// 'x' in der Titelleiste geklickt wird.
		// Hier wird das Fenster nicht nur verborgen (hide)
		// sondern komplett entfernt (dispose)
		jfMain.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);

		// JButton erzeugen mit vorgegebenem Text 
		JButton jbTest = new JButton("Drueck mich!");

		// Button als einzigen Inhalt setzen
		jfMain.setContentPane(jbTest);

		// Optimale Groesse des Fensters automatisch bestimmen
		// (Anhand der bevorzugten Dimensionen der Inhaltskomponenten)
		jfMain.pack();

		// JFrame anzeigen (sichtbar machen)	
		jfMain.setVisible(true);
		
		// Das Programm laeuft hier direkt weiter und beendet
		// sich nicht, da das erzeugt Fenster noch existiert!
		System.out.println("JFrame mit JButton als ContentPane wurde erzeugt");
	}
}
