// Swing-Komponenten sind im Package javax.swing
import javax.swing.JFrame;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;

// LayoutManager und sind im Package java.awt
import java.awt.BorderLayout;

public class Swing4{

	public static void main(String[] args){
		// JFrame (unsichtbar) erzeugen mit einem Titel.
		JFrame jfMain = new JFrame("Hier steht der Titel");
		
		// Aktion setzen, die ausgefuehrt wird, wenn auf das
		// 'x' in der Titelleiste geklickt wird.
		// Hier wird das Fenster nicht nur verborgen (hide)
		// sondern komplett entfernt (dispose).
		jfMain.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);

		// JButton erzeugen mit vorgegebenem Text.
		JButton jbSouth = new JButton("Drueck mich!");

		// JLabel erzeugen mit zentriertem Text.
		JLabel jlNorth = new JLabel("Hallo Welt", JLabel.CENTER);

		// JPanel als Container fuer Label und Button.
		// Als Layout wird das BorderLayout verwendet,
		// das die Anordnung der Komponenten uebernimmt.
		// Der entsprechende LayoutManager kann auch 
		// nachtraeglich mit setLayout() gesetzt werden.
		JPanel jpContent = new JPanel(new BorderLayout());
		// Die einzelnen Komponenten hinzufuegen.
		// Der zweite Parameter ist abhaeging vom LayoutManager.
		// Hier fuer das BorderLayout NORTH und SOUTH.
		jpContent.add(jlNorth, BorderLayout.NORTH);
		jpContent.add(jbSouth, BorderLayout.SOUTH);

		// Panel als Inhalt (ContentPane) setzen.
		jfMain.setContentPane(jpContent);

		// Optimale Groesse des Fensters automatisch bestimmen.
		// (Anhand der bevorzugten Dimensionen der Inhaltskomponenten)
		jfMain.pack();

		// JFrame anzeigen (sichtbar machen).	
		jfMain.setVisible(true);
		
		// Das Programm laeuft hier direkt weiter und beendet
		// sich nicht, da das erzeugt Fenster noch existiert!
		System.out.println("JFrame mit mehreren Komponenten wurde erzeugt");
	}
}
